System 2.0.0.0 4.0.0.0 System.Enum System.Flags To be added.

Defines the possible versions of .

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.SslProtocols

  Specifies that either Secure Sockets Layer (SSL) 3.0 or Transport Layer Security (TLS) 1.0 are acceptable for secure communications

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.SslProtocols

  No SSL protocol is specified.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.SslProtocols

  Specifies the SSL 2.0 protocol. SSL 2.0 has been superseded by the TLS protocol and is provided for backward compatibility only.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.SslProtocols

  Specifies the SSL 3.0 protocol. SSL 3.0 has been superseded by the TLS protocol and is provided for backward compatibility only.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Authentication.SslProtocols

  Specifies the TLS 1.0 security protocol. The TLS protocol is defined in IETF RFC 2246.

- Field
  4.0.0.0
  System.MonoTODO("unsupported")
  System.Security.Authentication.SslProtocols

  Specifies the TLS 1.1 security protocol. The TLS protocol is defined in IETF RFC 4346.

- Field
  4.0.0.0
  System.MonoTODO("unsupported")
  System.Security.Authentication.SslProtocols

  Specifies the TLS 1.2 security protocol. The TLS protocol is defined in IETF RFC 5246.